com.qualcomm.robotcore.hardware

## Enum DeviceManager.UsbDeviceType

- java.lang.Object
- - java.lang.Enum<DeviceManager.UsbDeviceType>
  - - com.qualcomm.robotcore.hardware.DeviceManager.UsbDeviceType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DeviceManager.UsbDeviceType>
  Enclosing interface:
    DeviceManager

      public static enum DeviceManager.UsbDeviceType
      extends java.lang.Enum<DeviceManager.UsbDeviceType>

  Enum of known USB Device Types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FTDI_USB_UNKNOWN_DEVICE`
    `LYNX_USB_DEVICE`
    `MODERN_ROBOTICS_USB_DC_MOTOR_CONTROLLER`
    `MODERN_ROBOTICS_USB_DEVICE_INTERFACE_MODULE`
    `MODERN_ROBOTICS_USB_LEGACY_MODULE`
    `MODERN_ROBOTICS_USB_SENSOR_MUX`
    `MODERN_ROBOTICS_USB_SERVO_CONTROLLER`
    `MODERN_ROBOTICS_USB_UNKNOWN_DEVICE`
    `UNKNOWN_DEVICE`
    `WEBCAM` a camera managed by `CameraManager`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeviceManager.UsbDeviceType` | `from(java.lang.String string)`
    `static DeviceManager.UsbDeviceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DeviceManager.UsbDeviceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FTDI_USB_UNKNOWN_DEVICE

          public static final DeviceManager.UsbDeviceType FTDI_USB_UNKNOWN_DEVICE

    - #### MODERN_ROBOTICS_USB_UNKNOWN_DEVICE

          public static final DeviceManager.UsbDeviceType MODERN_ROBOTICS_USB_UNKNOWN_DEVICE

    - #### MODERN_ROBOTICS_USB_DC_MOTOR_CONTROLLER

          public static final DeviceManager.UsbDeviceType MODERN_ROBOTICS_USB_DC_MOTOR_CONTROLLER

    - #### MODERN_ROBOTICS_USB_SERVO_CONTROLLER

          public static final DeviceManager.UsbDeviceType MODERN_ROBOTICS_USB_SERVO_CONTROLLER

    - #### MODERN_ROBOTICS_USB_LEGACY_MODULE

          public static final DeviceManager.UsbDeviceType MODERN_ROBOTICS_USB_LEGACY_MODULE

    - #### MODERN_ROBOTICS_USB_DEVICE_INTERFACE_MODULE

          public static final DeviceManager.UsbDeviceType MODERN_ROBOTICS_USB_DEVICE_INTERFACE_MODULE

    - #### MODERN_ROBOTICS_USB_SENSOR_MUX

          public static final DeviceManager.UsbDeviceType MODERN_ROBOTICS_USB_SENSOR_MUX

    - #### LYNX_USB_DEVICE

          public static final DeviceManager.UsbDeviceType LYNX_USB_DEVICE

    - #### WEBCAM

          public static final DeviceManager.UsbDeviceType WEBCAM

      a camera managed by `CameraManager`. See `WebcamName`

    - #### UNKNOWN_DEVICE

          public static final DeviceManager.UsbDeviceType UNKNOWN_DEVICE

  - ### Method Detail

    - #### values

          public static DeviceManager.UsbDeviceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeviceManager.UsbDeviceType c : DeviceManager.UsbDeviceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeviceManager.UsbDeviceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### from

          public static DeviceManager.UsbDeviceType from(java.lang.String string)